/* PRO_EMPCV_OPENvV[W쐬 */
CREATE OR REPLACE PROCEDURE pro_empcv_open (emp_cv IN OUT pkg_empcur.emp_type,clause NUMBER)
IS
  BEGIN
    IF clause= 1 THEN
      OPEN emp_cv FOR SELECT * FROM emp WHERE comm IS NOT NULL;
    ELSIF clause= 2 THEN
      OPEN emp_cv FOR SELECT * FROM emp WHERE sal > 2500;
    ELSIF clause= 3 THEN
      OPEN emp_cv FOR SELECT * FROM emp WHERE deptno = 10;
    END IF;
END;
/

/* PRO_EMPCV_SHOWvV[W쐬 */
CREATE OR REPLACE PROCEDURE pro_empcv_show (clause NUMBER)
IS
   empcv1   pkg_empcur.emp_type;
   empvar1  emp%ROWTYPE;
BEGIN
   pro_empcv_open(empcv1,clause);
      LOOP
         FETCH empcv1 INTO empvar1;
         EXIT WHEN empcv1%NOTFOUND;
            DBMS_OUTPUT.PUT_LINE(empvar1.empno||' '||empvar1.ename);
      END LOOP;
   CLOSE empcv1; 
END;
/