CREATE OR REPLACE PACKAGE BODY pkg_measure_change
IS
   minus_num   exception;

   FUNCTION fun_m_ft(m NUMBER)
   RETURN NUMBER
   IS
   BEGIN
      pkg_measure_change.num := (m * 3.2808399);
         IF pkg_measure_change.num < 0 THEN RAISE minus_num;
         END IF;
      RETURN(pkg_measure_change.num);
   EXCEPTION 
      WHEN minus_num THEN RETURN(0);
   END fun_m_ft;

   FUNCTION fun_km_mile(km NUMBER)
   RETURN NUMBER
   IS
   BEGIN
      pkg_measure_change.num := (km * 0.621371192);
         IF pkg_measure_change.num < 0 THEN RAISE minus_num;
         END IF;
      RETURN(pkg_measure_change.num);
   EXCEPTION 
      WHEN minus_num THEN RETURN(0);
   END fun_km_mile;

END;
/
