CREATE OR REPLACE PROCEDURE pro_update_data(num NUMBER)
IS
   TYPE       namelist IS TABLE OF VARCHAR2(15)
                 INDEX BY PLS_INTEGER;
   TYPE       sallist IS TABLE OF NUMBER(4)
                 INDEX BY PLS_INTEGER;
   enames     namelist;
   comms      sallist;
   depts      sallist;
   sql_stmt   VARCHAR2(200);
BEGIN
   sql_stmt := 'UPDATE emp SET comm = 500
                WHERE deptno = :1
                RETURNING ename,comm,deptno INTO :2,:3,:4';
      EXECUTE IMMEDIATE sql_stmt
                        USING num RETURNING BULK COLLECT INTO enames,comms,depts;
         FOR i IN 1..enames.COUNT LOOP
            DBMS_OUTPUT.PUT_LINE(enames(i)||' '||comms(i)||' '||depts(i));
        END LOOP;
END;
/