SET TIMING ON

DECLARE
   TYPE       numrec IS RECORD
              (no     NUMBER,
               name   VARCHAR2(20));
   TYPE       parttab IS TABLE OF numrec
                 INDEX BY PLS_INTEGER;
   parts_col  parttab;
BEGIN
   FOR i IN 1..100000 LOOP
      parts_col(i).no := i;
      parts_col(i).name := 'No. ' || TO_CHAR(i);
   END LOOP;
         FORALL r IN 1..100000
            INSERT INTO parts
            VALUES (parts_col(r).no, parts_col(r).name);
END;
/

SET TIMING OFF