DECLARE
   TYPE emp_name IS TABLE OF emp.ename%TYPE
   INDEX BY PLS_INTEGER;
   emp_tbl_name   emp_name;
   errors         NUMBER;
BEGIN
   SELECT ename BULK COLLECT INTO emp_tbl_name FROM emp;
   FORALL r IN emp_tbl_name.FIRST..emp_tbl_name.LAST SAVE EXCEPTIONS
      INSERT INTO NAME VALUES(emp_tbl_name(r));
EXCEPTION
   WHEN OTHERS
   THEN errors := SQL%BULK_EXCEPTIONS.COUNT;
        DBMS_OUTPUT.PUT_LINE('G[ '||errors);
           FOR i IN 1..errors LOOP
              DBMS_OUTPUT.PUT_LINE('G[̍ԍ ' ||
                                   SQL%BULK_EXCEPTIONS(i).ERROR_INDEX);
              DBMS_OUTPUT.PUT_LINE(SQLERRM(-SQL%BULK_EXCEPTIONS(i).ERROR_CODE));
           END LOOP;
END;
/