DECLARE
   TYPE numtab IS TABLE OF NUMBER
   INDEX BY PLS_INTEGER;
   deptnums   numtab;
BEGIN
   SELECT deptno BULK COLLECT INTO deptnums FROM dept;
      FORALL i IN 1..deptnums.COUNT
         INSERT INTO emp_by_dept
         SELECT empno,deptno FROM emp WHERE deptno = deptnums(i);
            FOR i IN 1..deptnums.COUNT LOOP
               DBMS_OUTPUT.PUT_LINE('Dept '||deptnums(i)||': }ꂽs '||
                                    SQL%BULK_ROWCOUNT(i));
            END LOOP;
END;
/